**Corner Frequencies:**

We can form an analytical equation of an asymptotic line that has a
slope of -40dB/decade and a gain of -20dB (which complies with our less
than -15dB constraint) at our frequency of 13.5kHz.

With this equation we can figure out at which frequency we get the
required gain of 20dB.

We can also attain this value by noting that 13.5kHz is a decade about
1,350Hz while having a gain of -20dB. Since the slope is -40dB/dec, then
going back one decade from 13.5kHz adds 40dB to our gain, resulting in
20dB at 1,350Hz.

We now use our magnitude equation derived in part 6 to find what the dB
would be at our point of interest, which is 900Hz.

Unfortunately this dB is too low for the constraints we have on 900Hz.\
As a result, we repeat this process with different values for our corner
frequencies and find what magnitudes will satisfy the restraints put on
900Hz and 13.5kHz.

Using a python script with the above formula, we can easily change
values until we find an output that meets our constraints.

> import math
>
> \#First corner frequency
>
> CFreq1 = input(“First corner frequency: ”)
>
> \#Second corner frequency
>
> CFreq2 = input(“Second corner frequency: ”)
>
> lowFreq = 900.0
>
> highFreq = 13500.0
>
> K = 10.0
>
> top = K \* (CFreq1/lowFreq) \* (CFreq2/lowFreq)
>
> lower = math.sqrt((1.0+
> pow(CFreq1/lowFreq,2))\*(1.0+pow(CFreq2/lowFreq,2)))
>
> magnitude = top/lower
>
> \#returns the magnitude of 900Hz
>
> dbMag = 20 \* math.log10(magnitude)
>
> print “Magnitude of 900Hz: ” + str(dbMag)
>
> lowFreq = 900.0
>
> highFreq = 13500.0
>
> K = 10.0
>
> top = K \* (CFreq1/highFreq) \* (CFreq2/highFreq)
>
> lower = math.sqrt((1.0+
> pow(CFreq1/highFreq,2))\*(1.0+pow(CFreq2/highFreq,2)))
>
> magnitude = top/lower
>
> \#returns the magnitude of 13500Hz
>
> dbMag = 20 \* math.log10(magnitude)
>
> print “Magnitude of 13500Hz: ” + str(dbMag)

Our best result seems to come out from inputting f~c1~ = 1350Hz and
f~c2~ = 2000Hz for our two corner frequencies. The output we get is:

Which satisfy the constraints of our design problem.
